lumi package fails to load because of a missing dependency (bumphunter)
2
0
Entering edit mode
kaur.alasoo ▴ 30
@kauralasoo-12123
Last seen 3.2 years ago
University of Tartu, Tartu, Estonia

I've just installed the lumi package, but when I try to load it I get the following error:

> library(lumi)
Error: package or namespace load failed for ‘lumi’ in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]):
there is no package called ‘bumphunter’
In addition: Warning message:
package ‘lumi’ was built under R version 3.5.1 

By tracing the dependency tree I found that lumi depends on methylumi which depends on minfi which depends on bumphunter, but bumphunter is not available from Bioconductor. How should I proceed?

 

> sessionInfo()

R version 3.5.0 (2018-04-23)
Platform: x86_64-apple-darwin15.6.0 (64-bit)
Running under: macOS High Sierra 10.13.3

Matrix products: default
BLAS: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
LAPACK: /Library/Frameworks/R.framework/Versions/3.5/Resources/lib/libRlapack.dylib

locale:
[1] en_US.UTF-8/en_US.UTF-8/en_US.UTF-8/C/en_US.UTF-8/en_US.UTF-8

attached base packages:
[1] stats4    parallel  stats     graphics  grDevices utils     datasets  methods   base     

other attached packages:
 [1] Biostrings_2.50.1                       XVector_0.22.0                          SummarizedExperiment_1.12.0             DelayedArray_0.8.0                     
 [5] BiocParallel_1.16.0                     FDb.InfiniumMethylation.hg19_2.2.0      org.Hs.eg.db_3.7.0                      TxDb.Hsapiens.UCSC.hg19.knownGene_3.2.2
 [9] GenomicFeatures_1.34.1                  AnnotationDbi_1.44.0                    GenomicRanges_1.34.0                    GenomeInfoDb_1.18.0                    
[13] IRanges_2.16.0                          S4Vectors_0.20.0                        matrixStats_0.54.0                      ggplot2_3.1.0                          
[17] reshape2_1.4.3                          scales_1.0.0                            Biobase_2.42.0                          BiocGenerics_0.28.0                    

loaded via a namespace (and not attached):
 [1] bitops_1.0-6             bit64_0.9-7              RColorBrewer_1.1-2       progress_1.2.0           httr_1.3.1               tools_3.5.0              nor1mix_1.2-3           
 [8] R6_2.3.0                 HDF5Array_1.10.0         DBI_1.0.0                lazyeval_0.2.1           colorspace_1.3-2         withr_2.1.2              tidyselect_0.2.5        
[15] prettyunits_1.0.2        base64_2.0               bit_1.1-14               compiler_3.5.0           preprocessCore_1.44.0    rtracklayer_1.42.0       genefilter_1.64.0       
[22] stringr_1.3.1            digest_0.6.18            Rsamtools_1.34.0         illuminaio_0.24.0        siggenes_1.56.0          pkgconfig_2.0.2          limma_3.38.2            
[29] rlang_0.3.0.1            rstudioapi_0.8           RSQLite_2.1.1            DelayedMatrixStats_1.4.0 bindr_0.1.1              mclust_5.4.1             dplyr_0.7.7             
[36] RCurl_1.95-4.11          magrittr_1.5             GenomeInfoDbData_1.2.0   Matrix_1.2-15            Rcpp_1.0.0               munsell_0.5.0            Rhdf5lib_1.4.0          
[43] stringi_1.2.4            MASS_7.3-51.1            zlibbioc_1.28.0          rhdf5_2.26.0             plyr_1.8.4               grid_3.5.0               blob_1.1.1              
[50] crayon_1.3.4             lattice_0.20-38          splines_3.5.0            multtest_2.38.0          annotate_1.60.0          hms_0.4.2                beanplot_1.2            
[57] pillar_1.3.0             biomaRt_2.38.0           XML_3.98-1.16            glue_1.3.0               BiocManager_1.30.3       gtable_0.2.0             openssl_1.0.2           
[64] purrr_0.2.5              reshape_0.8.8            assertthat_0.2.0         xtable_1.8-3             survival_2.43-1          tibble_1.4.2             GenomicAlignments_1.18.0
[71] memoise_1.1.0            bindrcpp_0.2.2  
lumi methylumi • 977 views
ADD COMMENT
1
Entering edit mode
lhuang7 ▴ 50
@lhuang7-7824
Last seen 2.4 years ago
United States

Hi kaur.alasoo,

It looks like the bumphunter supported by Bioconductor 3.8 cannot be found at the current release page (https://www.bioconductor.org/packages/release/bioc/html/bumphunter.html). However, you can download the source code from the developer branch (https://www.bioconductor.org/packages/devel/bioc/html/bumphunter.html) and install it from the source.

>R
R version 3.5.1 (2018-07-02) -- "Feather Spray"
Copyright (C) 2018 The R Foundation for Statistical Computing
Platform: x86_64-apple-darwin15.6.0 (64-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY.
You are welcome to redistribute it under certain conditions.
Type 'license()' or 'licence()' for distribution details.

  Natural language support but running in an English locale

R is a collaborative project with many contributors.
Type 'contributors()' for more information and
'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or
'help.start()' for an HTML browser interface to help.
Type 'q()' to quit R.

> install.packages("~/Downloads/bumphunter_1.25.2.tar.gz", repo = NULL, method = "source")
Installing package into ‘/Library/Frameworks/R.framework/Versions/3.5/Resources/library’
(as ‘lib’ is unspecified)
* installing *source* package ‘bumphunter’ ...
** R
** data
*** moving datasets to lazyload DB
** inst
** byte-compile and prepare package for lazy loading
** help
*** installing help indices
** building package indices
** installing vignettes
** testing if installed package can be loaded
* DONE (bumphunter)
> BiocManager::install("lumi")
Bioconductor version 3.8 (BiocManager 1.30.3), R 3.5.1 (2018-07-02)
Installing package(s) 'lumi'
trying URL 'https://bioconductor.org/packages/3.8/bioc/bin/macosx/el-capitan/contrib/3.5/lumi_2.34.0.tgz'
Content type 'application/x-gzip' length 4958762 bytes (4.7 MB)
==================================================
downloaded 4.7 MB


The downloaded binary packages are in
    /var/folders/k0/9pl_mjpn6wd669_r6z7r93_h0000gp/T//RtmpNHwBDD/downloaded_packages
Update old packages: 'dimRed', 'Rsubread'
Update all/some/none? [a/s/n]: n
> sessionInfo()
R version 3.5.1 (2018-07-02)
Platform: x86_64-apple-darwin15.6.0 (64-bit)
Running under: macOS  10.14.1

Matrix products: default
BLAS: /Library/Frameworks/R.framework/Versions/3.5/Resources/lib/libRblas.0.dylib
LAPACK: /Library/Frameworks/R.framework/Versions/3.5/Resources/lib/libRlapack.dylib

locale:
[1] en_US.UTF-8/en_US.UTF-8/en_US.UTF-8/C/en_US.UTF-8/en_US.UTF-8

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base

loaded via a namespace (and not attached):
[1] BiocManager_1.30.3 compiler_3.5.1     tools_3.5.1
>

HTH.

Lei

------

Lei Huang, PhD
Senior Bioinformatician
Center for Research Informatics
University of Chicago

 

ADD COMMENT
0
Entering edit mode
kaur.alasoo ▴ 30
@kauralasoo-12123
Last seen 3.2 years ago
University of Tartu, Tartu, Estonia

Ok, I've found a temporary workaround. I download the development version of bumphunter from here:
http://www.bioconductor.org/packages/devel/bioc/html/bumphunter.html

And then installed it manually:
R CMD INSTALL bumphunter_1.25.2.tgz

ADD COMMENT

Login before adding your answer.

Traffic: 237 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6